import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { InputSearchComponent } from '../input-search/input-search.component';
import { IconCacheService } from '../icon/icon-cache.service';
export interface lovViewModel {
    checked: boolean;
    model: any;
}
export declare class ListOfValuesPopupComponent implements OnInit {
    iconCacheService: IconCacheService;
    private _elementRef;
    set lovItems(children: any);
    dropDownList: ElementRef;
    set inputSearch(component: InputSearchComponent);
    model: any;
    multiselect: boolean;
    showToggleAll: boolean;
    displayField: string;
    searchPlaceholder: string;
    customCssClass: string;
    searchDisabled: boolean;
    parentForOverlay: ElementRef;
    optionIcon: string;
    set collection(value: any[]);
    get collection(): any[];
    modelChange: EventEmitter<any>;
    closePopup: EventEmitter<Event>;
    keyDown: EventEmitter<KeyboardEvent>;
    showClass(): boolean;
    set searchTerm(value: string);
    get searchTerm(): string;
    viewModels: lovViewModel[];
    viewModelsMain: lovViewModel[];
    highLightModel: lovViewModel;
    allSelected: boolean;
    private _collection;
    private _searchTerm;
    private _lovItems;
    private _searchInput;
    constructor(iconCacheService: IconCacheService, _elementRef: ElementRef);
    ngOnInit(): void;
    handleInputKeyDown(event: KeyboardEvent): boolean;
    filterViewModels(): void;
    selectViewModel(viewModel: lovViewModel, closePopup?: boolean): void;
    selectModelByViewModel(viewModel: lovViewModel, closePopup?: boolean): void;
    selectOptionAndClosePopup(): void;
    selectOptions(): void;
    selectNextOption(back?: boolean): void;
    selectAll(): void;
    toggleAll(): void;
    private _prepareViewModelsMain;
    private _prepareViewModels;
    private _scrollIntoView;
    private _scrollActiveItemIntoView;
}
